Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3._2005._05.xmlmime
Class HexBinary

    java.lang.Object
      org.w3._2005._05.xmlmime.HexBinary

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:44:37+02:00",
               comments="JAXB RI v2.2.11")
    public class HexBinary

extends Object
implements Serializable

Java class for hexBinary complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="hexBinary">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>hexBinary">
           <attribute ref="{http://www.w3.org/2005/05/xmlmime}contentType"/>
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`HexBinary()`

Method Summary
`String` | `getContentType()` Gets the value of the contentType property.
`byte[]` | `getValue()` Gets the value of the value property.
`void` | `setContentType(String value)` Sets the value of the contentType property.
`void` | `setValue(byte[] value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HexBinary

    public HexBinary()

Method Detail

### getValue

    public byte[] getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(byte[] value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getContentType

    public String getContentType()

  Gets the value of the contentType property.

  Returns:
    possible object is `String`

### setContentType

    public void setContentType(String value)

  Sets the value of the contentType property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.